#
# spec file for package apache (Version 1.3.28)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  bc db-devel expat mm openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bc binutils cracklib db-devel expat gcc gdbm gettext libtool mm openssl-devel perl rpm

Name:         apache
%define version_apache          1.3.28
%define version_mod_ssl		2.8.15
%define version_perl            %(rpm -q --queryformat '%%{version}' perl)
%define ssl_location            SYSTEM
# datadir == docroot
%define datadir			/srv/www
%define htdocdir                %{datadir}/htdocs
%define logdir 			%{_var}/log/httpd
%define sysconfdir		/etc/httpd
%define includedir 		%{_includedir}/%{name}
%define apache_mmn             %(echo -n apache_mmn_; test -s %{S:0} && bzcat %{S:0} | awk '/^#define MODULE_MAGIC_NUMBER_(MAJOR|MINOR)/ {printf " %d", $3}' | cut -b2- | tr ' ' '_')
%if %ul_version >= 1
%define platform_string		UnitedLinux
%else
%define platform_string		Linux/SuSE
%endif
License:      Apache
Group:        Productivity/Networking/Web/Servers
Requires:     /etc/mime.types, perl = %{version_perl} logrotate
Autoreqprov:  on
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq /bin/cat /bin/sed /bin/mkdir /bin/touch /bin/chown /bin/chmod
%endif
Version:      1.3.28
Release:      79
Source0:      http://www.apache.org/dist/apache_%{version_apache}.tar.bz2
Source1:      example.tgz
Source2:      contrib.tgz
Source3:      http://www.modssl.org/source/mod_ssl-%{version_mod_ssl}-%{version_apache}.tar.bz2
Source4:      index.tar.bz2
Source11:     rc.apache
Source13:     sysconfig.apache
Source14:     SuSEconfig.apache
Source15:     suse_public_html.conf
Source16:     certificate.sh
Source17:     mkcert.sh
Source18:     robots.txt
Source19:     module.public_html
Source20:     favicon.ico
Source21:     module.mod_ssl
Source22:     module.mod_sxnet
Source23:     sysconfig.apache-mod_ssl
Source24:     README.SuSE.apache
Source25:     generate_modssl_test_certificate
Source26:     README.modules
Source27:     apache.logrotate
Source50:     apache-example-pages.conf
Source51:     apache-example-pages.modules
# fix compiler warnings on 64bit architectures (file is contained in mod_ssl/pkg.contrib/sxnet.tar)
Source100:    mod_sxnet.c.warnings_64bit.dif
Patch0:       apache_1.3.23.dif
Patch1:       mod_ssl-2.8.6-1.3.23.dif
Patch2:       apache-1.3.28-httpd.conf-dist.dif
# this partly fixes wrong Content-Length with files >2GB (see bug #6570)
Patch3:       apache_1.3.19-content-length.dif
# this reverses a 'fix' in 1.3.20, which useful on RedHat, but not on SuSE
Patch4:       apache_1.3.20-find-dbm-lib.dif
Patch5:       mod_ssl-2.8.15-1.3.28-ssl-configuration.dif
Patch6:       apache_1.3.27-headtail.patch
Patch7:       apache_1.3.27-db4.1.dif
Patch8:       apache_1.3.28-capitalpic.patch
Patch9:       apache_1.3.28-no_zombies.dif
Patch13:      apache_1.3.28-CAN-2003-0542-regex.dif
Patch15:      apache-1.3.29-escape_errorlog.dif
Patch16:      apache-1.3.29-mod_digest-check-nonce.dif
Patch17:      apache-1.3.29-rarely-accessed_listening_sockets.dif
Patch18:      mod_ssl-2.8.10-1.3.26-ssl_uuencode-buffersize.dif
Patch19:      apache-1.3.29-modproxy-contentlength.dif
Patch20:      mod_ssl-2.8.18-ssl_log_usage.dif
Patch22:      apache-1.3.29-mod_include-1.3.33.dif
Patch23:      mod_ssl-2.8.16-1.3.29-SSLCipherSuite-bypass-CAN-2004-0885.dif
Patch24:      httpd-1.3-CAN-2005-2088-r218988.dif
Patch25:      httpd-1.3-htpasswd-mkstemp.dif
Patch26:      httpd-1.3-htpasswd-strncpy.dif
URL:          http://httpd.apache.org/
Icon:         Apache.xpm
Summary:      The Apache Web server
Provides:     httpd http_daemon suse_help_viewer %{apache_mmn}
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Apache HTTP server. Very few programs have spread so quickly and
attracted such a large following in such a short time as this HTTP
server.  According to Netcraft, Apache runs on about 49.05%% of all
servers attached to the Internet. That represents about 1,182,142
systems. It has replaced within only a few months the NCSA server
which, until then was the unchallenged favorite.  This is undoubtedly
because Apache was derived from the NCSA server sources and that its
configuration is compatible to that of NCSA/1.3.

The Apache project was established to provide a forum for the
development of a freely available HTTP server. The goal is to develop a
secure, efficient, and easily extendable server, which also closely
parallels the development of the HTTP protocol. Thus Apache became a
replacement to NCSA/1.3.

Besides better performance, the removal of known errors, and better
conformance to HTTP standards (HTTP/1.1), Apache offers the following
useful features, which are often missing in other servers:

* password files, used to protect documents from unauthorized
   access, can be indexed in various ways. The search for an entry
   is as a result more efficient than in ordinary text files.

* client-request errors can be responded to in a flexible manner.
   CGI scripts can be used to analyze the error and generate more
   informative replies to both the client and the administrator than
   the HTTP status codes offer.

* there is no restriction on aliasing and redirection. The Alias and
   Redirect directives can be used in arbitrary number and depth.

* Apache can choose the best representation of a resource based on
   the browser-supplied preferences for media type, languages,
   character set and encoding ("Content Negotiation").

* with Apache you can implement several virtual servers. Thus
   requests to different IP addresses (referring to the same
   computer) can be distinguished and, depending on the IP address,
   appropriately handled.

Further advantages are the module concept and the well-documented API
(Application Programmers Interface). Extensions are easily developed
and new features are easily integrated into the server. For example, an
implementation of the Secure Socket Layer (SSL) from Netscape exists
for Apache. This permits secure communication between server and
client.

Apache is installed in the following directories:

/etc/httpd			-> configuration files

/usr/sbin/httpd 		-> server binary

/var/log/httpd/ 		-> protocol files

/var/run/httpd.pid		-> server PID

/srv/www			-> server root

/etc/init.d/apache		-> Start/Stop script



Authors:
--------
    Rob McCool <robm@netscape.com>
    Robert S. Thau <rst@ai.mit.edu>
    Roy T. Fielding <fielding@avron.ics.uci.edu>
    Brian Behlendorf <brian@wired.com>
    Harald Hanche-Olsen <hanche@imf.unit.no>
    David Robinson <kluft@amdahl.com>
    Wietse Venema <drtr@ast.cam.ac.uk>
    Keith Shafer <Keith.Shafer@SanDiegoCA.ATTGIS.COM>
    Kevin Steves <stevesk@mayfield.hp.com>

%package devel
Summary:      Development files for Apache
Group:        Development/Libraries/C and C++
Requires:     apache = %{version_apache}

%description devel
This package contains the header files and the apxs tool for Apache
development.



%package doc
Summary:      Apache documentation
Group:        Productivity/Networking/Web/Servers
Provides:     httpddoc
Obsoletes:    httpddoc

%description doc
This package contains the HTML documentation of the Apache webserver.



%package example-pages
Summary:      Example pages for the Apache Web server
Group:        Productivity/Networking/Web/Servers

%description example-pages
Some simple Example pages for Apache, showing information about the
installed server.



Authors:
--------
    Rob McCool <robm@netscape.com>
    Robert S. Thau <rst@ai.mit.edu>
    Roy T. Fielding <fielding@avron.ics.uci.edu>
    Brian Behlendorf <brian@wired.com>
    Harald Hanche-Olsen <hanche@imf.unit.no>
    David Robinson <kluft@amdahl.com>
    Wietse Venema <drtr@ast.cam.ac.uk>
    Keith Shafer <Keith.Shafer@SanDiegoCA.ATTGIS.COM>
    Kevin Steves <stevesk@mayfield.hp.com>

%package -n mod_ssl
Requires:     apache = %{version_apache}
Summary:      Strong cryptography for the Apache 1.3 webserver
Group:        Productivity/Networking/Web/Servers
Autoreqprov:  on
%if %suse_version > 800
PreReq:       %fillup_prereq
%endif
Version:      2.8.15
Release:      79
URL:          http://www.modssl.org/
Icon:         mod_ssl.xpm

%description -n mod_ssl
This module provides strong cryptography for the Apache 1.3 webserver
via the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security
(TLS v1) protocols by the help of the Open Source SSL/TLS toolkit
OpenSSL, which is based on SSLeay from Eric A. Young and Tim J. Hudson.

The mod_ssl package was created in April 1998 by Ralf S. Engelschall
and was originally derived from software developed by Ben Laurie for
use in the Apache-SSL HTTP server project. The mod_ssl package is
licensed under a BSD-style licence, which basically means that you are
free to get and use it for commercial and non-commercial purposes.



Authors:
--------
    Ralf S. Engelschall <rse@engelschall.com>

%prep
%setup -q -n %{name}_%{version_apache}
%setup -q -n %{name}_%{version_apache} -c %{name}_%{version_apache} -T -D -a1 -a2 -a3 -a4
cp -p %{SOURCE16} %{SOURCE17} .
%patch0
#ln -s mod_ssl-SNAP-20020130 mod_ssl-%{version_mod_ssl}-%{version_apache}
#ln -s mod_ssl-2.8.14-1.3.27 mod_ssl-%{version_mod_ssl}-%{version_apache}
pushd mod_ssl-%{version_mod_ssl}-%{version_apache}
%patch1
%patch5 -p1
popd
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6
%if %suse_version > 820
%patch7 -p1
%endif
%patch8
%patch9
%patch13 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
pushd mod_ssl*
%patch18 -p1
%patch20 -p1
%patch23 -p0
popd
%patch19
%patch22 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
#
# replace PLATFORM string that's seen in the "Server:" header
#
sed 's,(" PLATFORM "),(%platform_string),' src/main/http_main.c > tmp_file && mv tmp_file src/main/http_main.c
#
# replace wrong location of perl
#
for file in `find . -type f -exec fgrep -l /local/bin/perl {} \;`; do
    cat $file | \
    sed -e 's+/user/local/bin/perl+%{_bindir}/perl+' \
	-e 's+/usr/local/bin/perl+%{_bindir}/perl+' > tmp_file;
    mv tmp_file $file;
done
#
# replace /usr/lib and co
#
%suse_update_libdir mod_ssl-%{version_mod_ssl}-%{version_apache}/pkg.sslmod/libssl.module
#
# mod_ssl must be done via APACI
#
if [ -d mod_ssl-%{version_mod_ssl}-%{version_apache} ] ; then
	ENABLE_MOD_SSL="--enable-module=ssl --enable-rule=SSL_EXPERIMENTAL --disable-rule=SSL_COMPAT"
	export SSL_BASE=%{ssl_location}
	export PATH=$PATH:/usr/ssl/bin/	
	pushd mod_ssl-%{version_mod_ssl}-%{version_apache}
		CFLAGS="$RPM_OPT_FLAGS -fPIC -Wall" 			\
			./configure 	--with-ssl=%{ssl_location} 	\
					--with-mm=SYSTEM 		\
					--with-apache=`pwd`/.. 
	popd	
	#				--force
fi

%build
#
# now configure Apache 
#
for i in shared_core normal_build; do
	#
	case $i in shared_core) ENABLE_SHARED_CORE="--enable-rule=SHARED_CORE";; *) unset ENABLE_SHARED_CORE;; esac
	#
	OPTIM="$RPM_OPT_FLAGS -Wall \$(OPTIM_ARCH) -DEAPI_MM -fPIC -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DHARD_SERVER_LIMIT=2048 -DDYNAMIC_MODULE_LIMIT=128 -DSSL_EXPERIMENTAL_PERDIRCA_IGNORE -DSSL_EXPERIMENTAL_PROXY_IGNORE" \
	LIBS="-L/usr/X11R6/%_lib/ -lmm -lpthread" ./configure   --prefix=%{datadir} 	\
				       --bindir=%{_bindir} 		\
				      --sbindir=%{_sbindir} 		\
				      --datadir=%{datadir} 		\
				   --sysconfdir=%{sysconfdir} 		\
				       --mandir=%{_mandir} 		\
				   --logfiledir=%{logdir} 		\
				--localstatedir=%{_var}/lib 		\
				   --runtimedir=%{_var}/run 		\
				   --libexecdir=%{_libdir}/%{name} 	\
				--proxycachedir=%{_var}/cache/httpd 	\
				   --includedir=%{includedir} 		\
				--enable-module=all 			\
				--disable-module=example 		\
				$ENABLE_SHARED_CORE			\
				$ENABLE_MOD_SSL 			\
				--enable-shared=max 			\
				--with-perl=`which perl` 		\
				--disable-rule=WANTHSREGEX 		\
				--enable-rule=EAPI 			\
				--server-uid=wwwrun 			\
				--server-gid=www 			\
				--enable-suexec 			\
				--suexec-caller=wwwrun 			\
				--suexec-userdir=public_html		\
				--suexec-uidmin=96 			\
				--suexec-gidmin=96 			\
				--suexec-safepath="/bin:%{_bindir}" 	\
				--suexec-logfile=%{logdir}/suexec.log 	\
				--without-confadjust
	# ---------------------------------------------------------------------------
	export SSL_BASE=%{ssl_location}
	# we want to use the BuildRoot:
	sed 's+^root[[:space:]]*=.*$+root = '$RPM_BUILD_ROOT'+' Makefile > Makefile.t && mv Makefile.t Makefile
	make CFLAGS_SHLIB="-fPIC -Wall -DSHARED_MODULE"
	if [ $i = shared_core ]; then
		# show compile settings
		src/httpd -R ./src -V || exit 1
		mkdir shared_core
		cp -p src/libhttpd.ep src/libhttpd.so src/httpd shared_core
		make clean
	else
		# show compile settings
		src/httpd -V
fi
done
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/%{datadir}/htdocs/gif
mkdir -p $RPM_BUILD_ROOT/%{sysconfdir}/modules
mkdir -p $RPM_BUILD_ROOT/%{logdir} -m 770
mkdir -p $RPM_BUILD_ROOT/%{_var}/run
mkdir -p $RPM_BUILD_ROOT/%{_var}/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/%{_var}/cache/httpd
mkdir -p $RPM_BUILD_ROOT/%{_var}/lib/httpd
mkdir -p $RPM_BUILD_ROOT/%{_var}/lib/httpd/mod_bandwidth
mkdir -p $RPM_BUILD_ROOT/%{_var}/lib/httpd/mod_bandwidth/link
mkdir -p $RPM_BUILD_ROOT/%{_var}/lib/httpd/mod_bandwidth/master
export SSL_BASE=%{ssl_location}
sed 's+LSS-REPLACE+SSL+' < conf/httpd.conf-dist > conf/httpd.conf-dist.new && mv conf/httpd.conf-dist.new conf/httpd.conf-dist
make DESTDIR=$RPM_BUILD_ROOT install
# install shared-core apache
install -m 755 shared_core/libhttpd.ep $RPM_BUILD_ROOT/%{_libdir}/%{name}
install -m 755 shared_core/libhttpd.so $RPM_BUILD_ROOT/%{_libdir}/%{name}
ln -s %{_libdir}/%{name}/libhttpd.ep $RPM_BUILD_ROOT/%{_sbindir}/httpd-shared_core
ln -s %{_libdir}/%{name}/libhttpd.so $RPM_BUILD_ROOT/%{_libdir}/libhttpd.so
#
# install contrib module mod_sxnet
#
pushd mod_ssl-%{version_mod_ssl}-%{version_apache}/pkg.contrib/
    tar xvf sxnet.tar
    %_fixowner sxnet
    %_fixgroup sxnet
    cd sxnet
    patch < %{SOURCE100}
    for file in sxnet.c sxnet.h mod_sxnet.c ; do
	sed 's+Malloc+malloc+g; s+Free+free+g' $file > $file.new && mv $file.new $file
    done
    cp -p README README.mod_sxnet
    $RPM_BUILD_ROOT/usr/sbin/apxs 					\
			-S    SBINDIR=$RPM_BUILD_ROOT/usr/sbin 		\
			-S INCLUDEDIR=$RPM_BUILD_ROOT/usr/include/apache\
			-l ssl -l crypto -c mod_sxnet.c
    $RPM_BUILD_ROOT/usr/sbin/apxs 					\
			-S    SBINDIR=$RPM_BUILD_ROOT/usr/sbin 		\
			-S INCLUDEDIR=$RPM_BUILD_ROOT/usr/include/apache\
			-S LIBEXECDIR=$RPM_BUILD_ROOT%{_libdir}/apache 	\
			-i mod_sxnet.so
popd 
#
# use official mime.types
#
rm $RPM_BUILD_ROOT/%{sysconfdir}/mime.types
ln -sf ../mime.types $RPM_BUILD_ROOT/%{sysconfdir}/mime.types 
#
# patch httpd.conf that has been generated meanwhile
#
pushd $RPM_BUILD_ROOT/%{sysconfdir}
	sed -e 's+var/logs+var/log+' 							\
		-e 's+LoadModule php3_module        $_libdir/%{name}/libphp3.so++' 	\
		-e 's+LoadModule perl_module        $_libdir/%{name}/libperl.so++' 	\
		-e 's+AddModule mod_php3.c++' 						\
		-e 's+AddModule mod_perl.c++' 						\
		httpd.conf > tmp_file && mv tmp_file httpd.conf
	#
	# remove 'HEADER* README*' from IndexIgnore directive
	# (otherwise, we won't see any README.SuSE when browsing /usr/share/doc/packages/*
	#
	sed -e 's+^\([[:space:]]*IndexIgnore.*\)HEADER\* README\*\(.*\)+\1 \2+' \
		httpd.conf > tmp_file && mv tmp_file httpd.conf
	#
	# do not load mod_userdir from httpd.conf by default (SuSEconfig takes care of it, depending 
	# on /etc/httpd/modules/public.html)
	#
	sed -e 's/^\(Load\|Add\)Module.*mod_userdir.*/# mod_userdir will be included below by SuSEconfig if HTTPD_SEC_PUBLIC_HTML=yes/' \
		httpd.conf > tmp_file && mv tmp_file httpd.conf
	#
	# do not load mod_unique_id from httpd.conf by default, it makes trouble when
	# no hostname is set, and it costs performance by the way (bug #8530)
	#
	sed -e 's/^\(\(Load\|Add\)Module.*mod_unique_id.*\)/# \1/' \
		httpd.conf > tmp_file && mv tmp_file httpd.conf
	#
	# insert the "Include /etc/httpd/suse_loadmodule.conf" line in the right place of the 
	# generated httpd.conf: between the LoadModule and AddModule statements
	# 
	sed 's+\(^.*Reconstruction.*$\)+Include /etc/httpd/suse_loadmodule.conf\
\
\
\1+' 	httpd.conf > tmp_file && mv tmp_file httpd.conf
popd
sed "s|lib/GL|%_lib/GL|" $RPM_SOURCE_DIR/rc.%{name} > $RPM_BUILD_ROOT/etc/init.d/%{name}
chmod 744 $RPM_BUILD_ROOT/etc/init.d/%{name}
ln -sf ../../etc/init.d/%{name} $RPM_BUILD_ROOT/%{_sbindir}/rc%{name}
install -m 755 src/support/suexec 		$RPM_BUILD_ROOT/%{_sbindir}/
install -m 755 src/support/log_server_status 	$RPM_BUILD_ROOT/%{_bindir}/
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.apache 		$RPM_BUILD_ROOT/sbin/conf.d/
install -m 644 $RPM_SOURCE_DIR/sysconfig.apache $RPM_BUILD_ROOT/%{_var}/adm/fillup-templates/
touch $RPM_BUILD_ROOT/%{sysconfdir}/suse_{include,loadmodule,addmodule,define,text}.conf{,.test}
install -m 644 $RPM_SOURCE_DIR/suse_public_html.conf $RPM_BUILD_ROOT/%{sysconfdir}/suse_public_html.conf
install -m 644 $RPM_SOURCE_DIR/suse_public_html.conf $RPM_BUILD_ROOT/%{sysconfdir}/suse_public_html.conf.test
chmod 755 certificate.sh mkcert.sh
install -m 755 $RPM_SOURCE_DIR/generate_modssl_test_certificate $RPM_BUILD_ROOT/%{_bindir}/
install -m 644 $RPM_SOURCE_DIR/apache.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/apache
chown -R 0:0 $RPM_BUILD_ROOT/%{htdocdir}
chown -Rh 0:0 $RPM_BUILD_ROOT/%{sysconfdir}
rm -f $RPM_BUILD_ROOT/%{sysconfdir}/*.default
rm -fr $RPM_BUILD_ROOT/%{htdocdir}/index.htm*
cp -p index/index.html.* 	$RPM_BUILD_ROOT/%{htdocdir}/; chmod 755 $RPM_BUILD_ROOT/%{htdocdir}/index.html.*
cp -p index/gif/*		$RPM_BUILD_ROOT/%{htdocdir}/gif/
cp -a icons/* $RPM_BUILD_ROOT/%{datadir}/icons; chmod -Rf a+rX,g-w,o-w $RPM_BUILD_ROOT/%{datadir}/icons
install -m 644 example/*.gif 			$RPM_BUILD_ROOT/%{datadir}/htdocs/gif
install -m 644 example/powered_by_suse.gif 		$RPM_BUILD_ROOT/%{datadir}/htdocs/gif/
cp -p $RPM_SOURCE_DIR/apache-example-pages.conf $RPM_BUILD_ROOT/%{sysconfdir}
cp -p $RPM_SOURCE_DIR/apache-example-pages.modules $RPM_BUILD_ROOT/%{sysconfdir}/modules/apache-example-pages
cp -p $RPM_SOURCE_DIR/robots.txt 		$RPM_BUILD_ROOT/%{htdocdir}/
cp -p $RPM_SOURCE_DIR/favicon.ico		$RPM_BUILD_ROOT/%{htdocdir}/
sed "s/lib/%_lib/" $RPM_SOURCE_DIR/module.public_html 	> $RPM_BUILD_ROOT/%{sysconfdir}/modules/public_html
sed "s/lib/%_lib/" $RPM_SOURCE_DIR/module.mod_ssl	> $RPM_BUILD_ROOT/%{sysconfdir}/modules/mod_ssl
sed "s/lib/%_lib/" $RPM_SOURCE_DIR/module.mod_sxnet 	> $RPM_BUILD_ROOT/%{sysconfdir}/modules/mod_sxnet
cp -p $RPM_SOURCE_DIR/sysconfig.apache-mod_ssl	$RPM_BUILD_ROOT/%{_var}/adm/fillup-templates/
cp -p $RPM_SOURCE_DIR/README.SuSE.apache README.SuSE
cp -p $RPM_SOURCE_DIR/README.modules $RPM_BUILD_ROOT/%{sysconfdir}/modules/
find $RPM_BUILD_ROOT/%{_mandir}/man{1,3,8}/ -type f \
    | fgrep -v apxs \
    | sed -e 's+'$RPM_BUILD_ROOT'/%{_mandir}/\(.*\)+%doc %{_mandir}/\1.gz+' > filelist.man
cat filelist.man
# save MODULE_MAGIC_NUMBER
cat > $RPM_BUILD_ROOT/%{_libdir}/%{name}/MMN <<EOF
#!/bin/sh
echo %{apache_mmn}
EOF
#
# now check wether httpd binary runs properly 
# and validate httpd.conf file 
#
export DBROOT=/tmp
# this is needed outside the BuildRoot to test apache:
test -d %{_var}/lib/httpd	|| install -o wwwrun -g root -m 644 -d %{_var}/lib/httpd
pushd $RPM_BUILD_ROOT/%{sysconfdir}
sed -e 's+/usr/lib+'$RPM_BUILD_ROOT'/usr/lib+' \
    -e 's+/var/run+'$RPM_BUILD_ROOT'/var/run+' \
    -e 's+/etc/httpd+'$RPM_BUILD_ROOT'/etc/httpd+' \
    -e 's+%{datadir}+'$RPM_BUILD_ROOT'%{datadir}+' \
    -e 's+\(suse_[[:alpha:]]*\.conf\)+\1.test+' \
		httpd.conf > httpd.conf.test
popd
$RPM_BUILD_ROOT/%{_sbindir}/httpd -t -f $RPM_BUILD_ROOT/%{sysconfdir}/httpd.conf.test 		|| exit 1
pushd $RPM_BUILD_ROOT/%{sysconfdir}
	( echo "LoadModule ssl_module %{_libdir}/%{name}/libssl.so"
	  echo "LoadModule sxnet_module %{_libdir}/%{name}/mod_sxnet.so"
	)| sed 's+\(%{_libdir}/%{name}\)+'$RPM_BUILD_ROOT'\1+' > suse_loadmodule.conf.test
	( echo "AddModule mod_ssl.c"
	  echo "AddModule mod_sxnet.c"
	)> suse_addmodule.conf.test
popd
$RPM_BUILD_ROOT/%{_sbindir}/httpd -t -f $RPM_BUILD_ROOT/%{sysconfdir}/httpd.conf.test 		|| exit 1
rm $RPM_BUILD_ROOT/%{sysconfdir}/*.test
rm $RPM_BUILD_ROOT/%{_libdir}/%{name}/httpd.exp
# ---------------------------------------------------------------------------

%files -f filelist.man
%defattr(-,root,root)
%doc INSTALL READM* LICENSE ABOUT_APACHE 
%doc Announcement contrib conf WARNING-WIN.TXT
%doc conf/highperformance.conf-dist config.status
%{sysconfdir}/modules/README.modules
%dir %{sysconfdir}/modules/public_html
%dir %{logdir}
%config(noreplace) /etc/logrotate.d/apache
%dir %{_libdir}/%{name}/
%config %{sysconfdir}/access.conf
%config %{sysconfdir}/srm.conf
%config(noreplace) %{sysconfdir}/httpd.conf
%config %{sysconfdir}/magic
%config %{sysconfdir}/suse_include.conf
%config %{sysconfdir}/suse_loadmodule.conf
%config %{sysconfdir}/suse_addmodule.conf
%config %{sysconfdir}/suse_define.conf
%config %{sysconfdir}/suse_text.conf
%config %{sysconfdir}/suse_public_html.conf
%config /etc/init.d/%{name}
%config %{sysconfdir}/mime.types
%{_var}/adm/fillup-templates/sysconfig.apache
%attr(755,wwwrun,root) %dir   %{_var}/cache/httpd
%attr(755,wwwrun,root) %dir   %{_var}/lib/httpd
		       %dir   %{_var}/lib/httpd/mod_bandwidth
%attr(755,wwwrun,root) %dir   %{_var}/lib/httpd/mod_bandwidth/link
%attr(755,wwwrun,root) %dir   %{_var}/lib/httpd/mod_bandwidth/master
%{_sbindir}/rc%{name}
/sbin/conf.d/SuSEconfig.%{name}
%{_sbindir}/httpd
%{_sbindir}/ab
%{_sbindir}/logresolve
%{_sbindir}/rotatelogs
%{_sbindir}/suexec
%{_sbindir}/apachectl
%{_bindir}/checkgid
%{_bindir}/htpasswd
%{_bindir}/htdigest
%{_bindir}/dbmmanage
%{_bindir}/log_server_status
%{datadir}/icons
%{_libdir}/%{name}/mod_[!s]*.so
%{_libdir}/%{name}/mod_s[!x]*.so
%{_libdir}/%{name}/libproxy.so
%attr(755,root,root) %{_libdir}/%{name}/MMN
%{_libdir}/%{name}/libhttpd.ep
%{_libdir}/%{name}/libhttpd.so
%{_sbindir}/httpd-shared_core
%{_libdir}/libhttpd.so
# ---------------------------------------------------------------------------

%files devel
%defattr(-,root,root)
%{includedir}/
%{_sbindir}/apxs
%doc %{_mandir}/man8/apxs.8.gz
# ---------------------------------------------------------------------------

%files doc
%defattr(-,root,root)
%doc %{htdocdir}/manual
# ---------------------------------------------------------------------------

%files example-pages
%defattr(-,root,root)
%dir %{sysconfdir}/modules/apache-example-pages
%dir %{sysconfdir}/apache-example-pages.conf
%config(noreplace) %{htdocdir}/index.htm*
%config(noreplace) %{htdocdir}/robots.txt
%config(noreplace) %{htdocdir}/favicon.ico
%{htdocdir}/gif
%{htdocdir}/apache_pb.gif
%config %{datadir}/cgi-bin/printenv
%config %{datadir}/cgi-bin/test-cgi
# ---------------------------------------------------------------------------

%post -n mod_ssl
%{fillup_only -ans apache mod_ssl}

%files -n mod_ssl
%defattr(-,root,root)
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/CHANGES
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/CREDITS
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/INSTAL*
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/LICENSE
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/NEWS
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/READM*
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/pkg.contrib/sxnet/README.*
%doc mod_ssl-%{version_mod_ssl}-%{version_apache}/pkg.ssldoc/*
%doc %attr(755,root,root) certificate.sh
%doc %attr(755,root,root) mkcert.sh
%config  %{sysconfdir}/ssl.*
%{_bindir}/generate_modssl_test_certificate
%{_libdir}/%{name}/libssl.so
%{_libdir}/%{name}/mod_sxnet.so
%{sysconfdir}/modules/mod_ssl
%{sysconfdir}/modules/mod_sxnet
%{_var}/adm/fillup-templates/sysconfig.apache-mod_ssl
# ---------------------------------------------------------------------------
%if %suse_version > 820

%preun
%stop_on_removal apache
%endif
# ---------------------------------------------------------------------------

%postun
%if %suse_version > 820
%restart_on_update apache
%endif
%insserv_cleanup
# ---------------------------------------------------------------------------

%post
RC_CONFIG=etc/rc.config
if [ -e $RC_CONFIG ]; then 
	. $RC_CONFIG
	if [ "$START_HTTPD" = no -a "$START_HTTPSD" = yes ]; then
		echo -n "removing obsolete START_HTTPSD from etc/rc.config ..."
		sed -e 's+START_HTTPD=.*+START_HTTPD=yes+' \
		    -e 's+START_HTTPSD=.*++' $RC_CONFIG > tmp_file \
			&& mv tmp_file $RC_CONFIG
		echo "done"
	fi
fi
%{fillup_and_insserv -s apache START_HTTPD}
mkdir -p var/log/httpd
# Are we in update mode?
if [ ${1:-0} -gt 1 ]; then
	if test -d usr/local/httpd; then
		mkdir -p var/adm/notify/messages
		cat <<-EOT > var/adm/notify/messages/%{name}-changes
			 
			Dear Admin,
			 
			the Apache configuration has changed with 8.1/SLES8:
			die Apache-Konfiguration hat sich mit 8.1/SLES8 veraendert:
			 
			/usr/local/httpd  ->  /srv/www      (Server-Root)
			 
			Regards,
			    your SuSE Team 
		EOT
	fi
fi
if test -z "$YAST_IS_RUNNING" ; then
	echo "Please remember to run 'SuSEconfig --module apache' to configure the server"
fi
exit 0
# ---------------------------------------------------------------------------

%changelog -n apache
* Wed Aug 10 2005 - poeml@suse.de
- security fix [CAN-2005-2088 (cve.mitre.org)]: core: If a request
  contains both Transfer-Encoding and a Content-Length, remove the
  Content-Length, stopping some HTTP Request smuggling attacks. [#95709]
- htpasswd security fixes (patches from openbsd): - use strncpy and
  friends [#62859] - use mkstemp instead of tempnam
* Wed Nov 10 2004 - poeml@suse.de
- security fix from 1.3.33:
  [CAN-2004-0940 (cve.mitre.org)]: mod_include: Fix potential
  buffer overflow with escaped characters in SSI tag string.
  [#47740]
- security fix from mod_ssl 2.8.20:
  [CAN-2004-0885 (cve.mitre.org)]: fix SSLCipherSuite bypass in
  mod_ssl [#47117]
* Mon Jul 19 2004 - poeml@suse.de
- Security fix from mod_ssl 2.8.19: fix ssl_log() related format
  string vulnerability in mod_proxy hook functions. [#43114]
* Tue Jun 15 2004 - poeml@suse.de
- security fix in mod_proxy: Reject responses from a remote server
  if sent an invalid (negative) Content-Length. [#41970], CAN-2004-0492
- use "chown -Rh" where needed after last coreutils change
* Tue May 18 2004 - poeml@suse.de
- security fixes from 1.3.31 [#40611]:
  * CAN-2004-0174 (cve.mitre.org)
  Fix starvation issue on listening sockets where a short-lived
  connection on a rarely-accessed listening socket will cause a
  child to hold the accept mutex and block out new connections until
  another connection arrives on that rarely-accessed listening socket.
  Enabled for some platforms known to have the issue (accept()
  blocking after select() returns readable).  Define
  NONBLOCK_WHEN_MULTI_LISTEN if needed for the platform and not
  already defined.
  * CAN-2003-0987 (cve.mitre.org)
  Verification as to whether the nonce returned in the client response
  is one we issued ourselves by means of a AuthDigestRealmSeed secret
  exposed as an md5(). See mod_digest documentation for more details.
  The experimental mod_auth_digest.c does not have this issue.
  * CAN-2003-0020 (cve.mitre.org)
  Escape arbitrary data before writing into the errorlog. Unescaped
  errorlogs are still possible using the compile time switch
  "-DAP_UNSAFE_ERROR_LOG_UNESCAPED".
- security fix for mod_ssl: fix buffer overflow in
  ssl_util_uuencode() [#40791]
* Wed Oct 29 2003 - poeml@suse.de
- security fix (CAN-2003-0542): fix buffer overflows in mod_alias
  and mod_rewrite that are possible when using a regular expression
  with more than 9 captures [#32756]
* Mon Sep 08 2003 - poeml@suse.de
- README: <feedback@suse.de> -> <http://www.suse.de/feedback>
* Fri Sep 05 2003 - poeml@suse.de
- replace suexec-zombies.dif by the official no_zombies.dif
* Tue Sep 02 2003 - poeml@suse.de
- the compiled in default gid was still nogroup. Changed to www.
* Mon Sep 01 2003 - poeml@suse.de
- in /etc/httpd/modules, ignore directories (like .svn)
- split off the configuration for the example-pages into the
  subpackage. Before, the respective configuration was done
  server-wide and present even if the example package is not
  installed [#28013]
* Fri Aug 29 2003 - poeml@suse.de
- allow building on older dists which do not know certain macros
* Fri Aug 29 2003 - poeml@suse.de
- apply patch for zombie processes left by suexec (1.3.28 problem)
  http://nagoya.apache.org/bugzilla/show_bug.cgi?id=21737
* Wed Aug 20 2003 - uli@suse.de
- Configure script overrides -fPIC parameter given in spec file
  with -fpic, breaks s390x, fixed
* Fri Aug 15 2003 - poeml@suse.de
- rc.apache: re-add the bit of code that determines whether it is
  called from a runlevel link [#19280]
* Fri Aug 15 2003 - poeml@suse.de
- run under group www [#21782]
- add activation metadata to sysconfig template [#28814], [#28829]
- use -Wall
- fix use of LD_PRELOAD with startproc for the libGL workaround;
  the order was mixed up
* Wed Jul 30 2003 - poeml@suse.de
- rc.apache:
- if mod_php4 is used, work around libGL being non functional
  (#26665) at boot time or during runlevel change
- remove obsolete Check for IPv6 support, the patch is long gone
- new macros for stop/restart of services on rpm update/removal
* Sat Jul 26 2003 - poeml@suse.de
- replace deprecated chown *.* syntax by *:*
* Mon Jul 21 2003 - poeml@suse.de
- update to 1.3.28. Relevant changes:
  Security [VU#379828]: The server could crash when going into an
  infinite loop due to too many subsequent internal redirects and
  nested subrequests.
  Security: Eliminated leaks of several file descriptors to child
  processes, such as CGI scripts.
  New:
- Added new ap_register_cleanup_ex() API function which allows
  for a "magic" cleanup function to be run at register time
  rather than at cleanup time.
- Improvements to mod_usertrack that allows for a regular
  (verbose) as well as "compact" version of the tracking cookie
  (the new 'CookieFormat' directive), and the ability to
  prepend a string to the cookie via the 'CookiePrefix'
  directive.
  Bugfixes:
- Make sure the accept mutex is released before calling child
  exit hooks and cleanups.
- Fix mod_rewrite's handling of absolute URIs. The escaping
  routines now work scheme dependent and the query string will
  only be appended if supported by the particular scheme.
- Prevent obscenely large values of precision in ap_vformatter
  from clobbering a buffer.
- Update timeout algorithm in free_proc_chain. If a subprocess
  did not exit immediately, the thread would sleep for 3
  seconds before checking the subprocess exit status again. In
  a very common case when the subprocess was an HTTP server CGI
  script, the CGI script actually exited a fraction of a second
  into the 3 second sleep, which effectively limited the server
  to serving one CGI request every 3 seconds across a
  persistent connection.
- update the mod_ssl patchset to 2.8.15-1.3.28:
- Take over security fix from Apache 2.0 related to
  per-directory renogotiations.
- Fixed logic in the destruction of a temporary certificate
  structure and this way avoid a crash due to freeing NULL
  object.
- Removed one newly introduced X509_free() call in the context
  of SSL_get_certificate(), because this function does not
  increment a reference count (although
  SSL_get_peer_certificate() does).
- Fixed hash-table based shared memory session cache (shmht)
  implementation by making sure that the underlying hash table
  library does not crash if memory cannot be allocated.
- Always enforce RSA blinding on RSA private keys in order to
  be resistent to timing attacks.
- Added timeout also to the "pre-sucking" of the trailing data
  in POST request handling.
- Correctly shutdown shared memory pools on fork+exec
  situations.
- Bugfix SSL client certificate verification: OpenSSL was not
  informed with SSL_set_verify_result(ssl, X509_V_OK) in case
  mod_ssl forced the verification to be ok.
- Consistently use OPENSSL_free() instead of plain free() to
  deallocate memory chunks allocated inside OpenSSL.
- Fixed various memory leaks related to X509 certificates.
- don't explicitely strip binaries since RPM does it (and may keep
  the stripped information somewhere else)
- re-diff mod_ssl-2.8.12-1.3.27-ssl-configuration.dif
- don't install httpd.exp file, it's AIX specific
- build (in addition to the normal build) the so called shared core
  (libhttpd.so plus bootstrap code, libhttpd.ep, which is installed
  as /usr/sbin/httpd-shared_core. libhttpd.so is needed to build
  DSO's with Kylix 3 [#25061]. Add a sysconfig directive for it to
  make it configurable which apache is run.
* Thu Jun 12 2003 - kukuk@suse.de
- Remove /etc/httpd and /etc/httpd/modules from filelist
* Wed May 14 2003 - poeml@suse.de
- package some forgotten files
- fix the cosmetical but irritating "Inappropriate ioctl for
  device" error message, when rcapache is called from within YaST
* Fri May 09 2003 - poeml@suse.de
- fixed reference to FQHOSTNAME in comment in sysconfig.apache
- mod_auth_db: fix call to new db->open() of libdb-4.1
* Wed Apr 09 2003 - ro@suse.de
- fixed deprecated head and tail call syntax "-1"
* Thu Mar 13 2003 - poeml@suse.de
- security fix: do not write the startup log file to a world
  writable directory, reversing the change of Jan 23 (wasn't in any
  released package) [#25239]
* Mon Mar 03 2003 - poeml@suse.de
- rmeove %%ghost entries for pidfile and logfiles [#24560]
* Mon Mar 03 2003 - poeml@suse.de
- add /var/lib/httpd/mod_bandwidth as workdir for mod_bandwidth,
  and configure it in httpd.conf. Also, remove stale files in
  /var/lib/httpd/mod_bandwidth/link upon server startup, as
  suggested in the mod_bandwidth documentation
* Mon Mar 03 2003 - poeml@suse.de
- fix declaration of the charset in the content type of the example
  pages, which wasn't quite correct [#24522]
* Wed Feb 26 2003 - poeml@suse.de
- use a directory writable by user wwwrun for DavLockDB [#22772]
* Mon Feb 24 2003 - poeml@suse.de
- add /etc/httpd/suse_* as empty files, so a fresh apache
  installation won't fail if SuSEconfig hasn't run [#23971]
- make rcapache start script usable even if the configuration
  mechanism with the suse_* files is not used [#23940]
* Thu Feb 20 2003 - poeml@suse.de
- /var/lib/httpd/ is a better place for the SSLSessionCache (or, the
  file that it is established via) than /var/state/httpd/ (fhs 2.2)
- do not load mod_unique_id httpd.conf by default, it makes trouble
  when no hostname is set (DHCP!), and it costs performance by the
  way [#8530] (this module is active once it is loaded, without
  further configuration)
* Wed Feb 19 2003 - poeml@suse.de
- add sysconfig metadata to mod_ssl, too [#22606], and improve some
  variable types in metadata on apache
* Thu Jan 23 2003 - poeml@suse.de
- add sysconfig metadata [#22590]
- write the startup log to /var/tmp instead of /var/log/httpd
- proxycachedir is /var/cache/httpd, not /var/cache/http
- configure SSL session caching with shm circular buffer
  SSLSessionCache         shm:/var/cache/httpd/ssl_scache
  SSLSessionCacheTimeout  600
  SSLMutex  sem
* Thu Dec 12 2002 - poeml@suse.de
- update to 1.3.27
  Security vulnerabilities:
  * CAN-2002-0839 (cve.mitre.org) regarding ownership permissions of
  System V shared memory based scoreboards.  The fix resulted in
  the new ShmemUIDisUser directive.
  * CAN-2002-0840 regarding a cross-site scripting vulnerability
  in the default error page when using wildcard DNS.
  * CAN-2002-0843 regarding some possible overflows in ab.c which
  could be exploited by a malicious server.
  New features:
  * The new ErrorHeader directive has been added.
  * Configuration file globbing can now use simple pattern matching.
  * The protocol version (eg: HTTP/1.1) in the request line parsing
  is now case insensitive.
  * ap_snprintf() can now distinguish between an output which was
  truncated, and an output which exactly filled the buffer.
  * Add ProtocolReqCheck directive, which determines if Apache will
  check for a valid protocol string in the request (eg: HTTP/1.1)
  and return HTTP_BAD_REQUEST if not valid. Versions of Apache
  prior to 1.3.26 would silently ignore bad protocol strings, but
  1.3.26 included a more strict check. This makes it runtime
  configurable.
  * Added support for Berkeley-DB/4.x to mod_auth_db.
  * httpd -V will now also print out the compile time defined
  HARD_SERVER_LIMIT value.
  Bugs fixed:
  * mod_proxy fixes:
  * The cache in mod_proxy was incorrectly updating the
  Content-Length value from 304 responses when doing
  validation.
  * Fix a problem in proxy where headers from other modules were
  added to the response headers when this was already done in
  the core already.
  * In 1.3.26, a null or all blank Content-Length field would be
  triggered as an error; previous versions would silently ignore
  this and assume 0.  1.3.27 restores this previous behavior.
- update to mod_ssl-2.8.12-1.3.27
  *) Fixed potential Cross-Site-Scripting bug.
  *) Allow also 8192 bytes of shared memory data size.
  *) Fixed internal error handling for CRL verification.
  *) Initialize OpenSSL ENGINE before initializing OpenSSL
  to workaround problems with the PRNG.
  *) Honor specified number of maximum bytes on SSLRandomSeed
  if reading from EGD.
  *) Fixed generation of SSL_CLIENT_CERT_CHAIN_[0-9] variables.
- drop the now unneeded apache_1.3.26-semun.dif
* Fri Sep 27 2002 - poeml@suse.de
- link against libpthread, because mod_perl is linked against it
  since perl is being built with -Dusethreads. [#20296]
* Mon Sep 23 2002 - poeml@suse.de
- mod_ssl configuration (#18956, #19720):
- enable experimental code needed for openssl engine
- disable building of never needed compatibility code
- mod_ssl 64 bit big endian fix: add apache_1.3.26-semun.dif
  which prevents apache from hanging in semop() (#14478 and apache
  bugzilla 12072). This is a fix that we already had in SLES7
  (#18956).
- make the platform string --as it may be shown in the "Server:"
  header-- themable (replacing the patch added last time)
- fix obsolete reference to $FQHOSTNAME in sysconfig.apache-mod_ssl
* Mon Sep 09 2002 - poeml@suse.de
- fix links in apache-example-pages to fit the new locations in the
  susehelp package [#18040]
- add patch that changes PLATFORM (as seen in the HTTP Server
  header) from "Unix" to "SuSE/Linux". We used to have that patch,
  but it had got lost. [#18543]
- fix wrong path to apache libexecdir on 64 bit architectures (lib
  vs. lib64) in module.public_html and two other places [#18749]
* Mon Aug 26 2002 - poeml@suse.de
- remove package conflict to apache2
- branch apache-example-pages package off (containing everything
  below the docroot)
* Sat Aug 17 2002 - poeml@suse.de
- add reminder to %%post to run SuSEconfig
- add PreReq for %%post of mod_ssl subpackage [#17935]
* Thu Aug 15 2002 - poeml@suse.de
- spec file and %%post cleanup
- remove /var/log/subsys/httpd
- don't delete log files on uninstall
* Mon Aug 12 2002 - poeml@suse.de
- make -devel and mod_ssl subpackages require apache = %%{version}
  but not %%{release}
- add variable to sysconfig.apache to switch off SuSEconfig.apache
* Tue Aug 06 2002 - poeml@suse.de
- SuSEconfig.apache: add leading / to include file name for
  conveniency; admin email defaults to webmaster@
- use quiet %%setup
* Mon Aug 05 2002 - poeml@suse.de
- put PreReq in an if-statement to allow building on older distris
* Thu Aug 01 2002 - poeml@suse.de
- remove more occurences of /usr/local/httpd
* Thu Aug 01 2002 - poeml@suse.de
- move datadir (i.e., ServerRoot) from /usr/local/httpd to /srv/www
- update README.SuSE
* Thu Aug 01 2002 - poeml@suse.de
- one more PreReq that was missing, sorry...
* Thu Aug 01 2002 - poeml@suse.de
- spec file: use PreReq
* Mon Jul 29 2002 - poeml@suse.de
- created /etc/logrotate.d/apache
- fix path to phpdoc start page in index.html.* [#15998]
* Sat Jul 20 2002 - poeml@suse.de
- update to 1.3.26
- update to mod_ssl-2.8.10-1.3.26
- provide the magic module number as executable script
  (/usr/lib/apache/MMN) and as RPM Provides, indicating API changes
* Sun Jul 14 2002 - poeml@suse.de
- rc.apache INIT section: use X-UnitedLinux-Should-Start
- mark httpd.conf noreplace again and don't delete SuSEconfig's md5
  files in %%post
- remove mail to root about moved log files [#8656]
* Tue Apr 16 2002 - poeml@suse.de
- add a note to suse_public_html.conf that for the suexec binary
  the directory name "public_html" is a compile time setting
  (thanks to Deti Fliegl)
* Tue Mar 26 2002 - kukuk@suse.de
- Fix location of DOC_SERVER in example index files.
* Wed Mar 06 2002 - poeml@suse.de
- if apache+mod_ssl use encrypted server keys, the passphrases
  need to be entered upon server start. While the builtin terminal
  dialogue just waits forever, startproc returns with 0 after
  HTTPD_START_TIMEOUT (default: 2) seconds. Now we detect whether
  the terminal is in no-echo mode (which likely means that a
  passphrase was needed but not entered). If this is the case we'll
- switch the echo terminal setting back on,
- issue a message that HTTPD_START_TIMEOUT should be increased
- exit with "failed" (#7156)
* Thu Feb 28 2002 - poeml@suse.de
- generate_modssl_test_certificate: the variable FQHOSTNAME is no
  longer set, use /etc/HOSTNAME
* Mon Feb 25 2002 - poeml@suse.de
- bugfix update to mod_ssl-2.8.7-1.3.23, with a security fix:
  * Fixed potential buffer overflow in DBM and SHMHT session
  cache if very very large certificate chains are used.
  See http://www.modssl.org/news/changelog.html (should soon be
  up to date) for the other changes.
- rc.apache:
  * check if included files in suse_include.conf exist (#10251)
  * exit code 1 seems to make more sense for configuration error
- fix permissions of /var/{lib,cache}/httpd
- fix ownerships of mod_sxnet files (#13843)
* Sun Feb 17 2002 - kukuk@suse.de
- Move /usr/local/{httpd,httpd/cgi-bin,httpd/htdocs} directories
  into aaa_dir
* Mon Feb 11 2002 - ro@suse.de
- SuSEconfig.apache: FQHOSTNAME is determined from /etc/HOSTNAME
* Mon Feb 04 2002 - poeml@suse.de
- use off_t in apache_1.3.19-content-length.dif and cast to
  appropriate apache internal type (to be sure)
- change rc.apache copyright header again
* Sat Feb 02 2002 - poeml@suse.de
- update to mod_ssl-2.8.6-1.3.23
- fix Version: tag -> 1.2.23
- always use -fPIC for shared objects
- weed out apache_1.3.23.dif
- change references to rc.config to /etc/sysconfig/network/config
- make generate_modssl_test_certificate configurable
- index.html.*: remove links to portal
- change SuSE GmbH to SuSE Linux AG
- use %%defattr(-,root,root)
* Thu Jan 31 2002 - poeml@suse.de
- update to 1.3.23
- mod_proxy improvements
- bugfixes
- protection against loading a module twice
- update mod_ssl patchset to SNAP-20020130
  (2.8.6-1.3.23 to appear soon)
- update httpd.conf-dist.dif patch
- drop apache_1.3.20-416-response.dif (obsolete)
- remove huge junk chunk from apache_1.3.23.dif (http_main.c.orig)
* Wed Jan 30 2002 - ihno@suse.de
- modified specfile to use _libdir
* Tue Jan 22 2002 - ro@suse.de
- fixed to build with db4
* Fri Dec 14 2001 - poeml@suse.de
- re-add deleted part in %%post to remove obsolete START_HTTPSD
* Thu Dec 13 2001 - poeml@suse.de
- removed START_ variable, moved rc.config.d -> sysconfig
- run under gid nogroup
- add newer powered_by_suse button (animated gif)
- tag index.htm*, robots.txt, favicon.ico with noreplace
- add /etc/httpd/README.modules
* Wed Oct 24 2001 - rolf@suse.de
- update to 1.3.22
- update mod_ssl to 2.8.5-1.3.22
* Sun Sep 23 2001 - fischer@suse.de
- change SuSEconfig.apache to use the modules in a deterministic order
* Thu Sep 20 2001 - poeml@suse.de
- change HTTPD_SEC_MOD_SSL default to "no", since SSLEngine is now
  "on" by default (inside the <IfDefine SSL> block).  [#11023]
- add another small script to create a test certificate (it doesn't
  need user input)
* Thu Sep 20 2001 - poeml@suse.de
- don't show PLATFORM if ServerTokens are set to Prod[uctOnly]
- warn if file from HTTPD_CONF_INCLUDE_FILES doesn't exist
* Fri Sep 14 2001 - poeml@suse.de
- fix typo in index.html.en [#10131]
* Tue Sep 11 2001 - rolf@suse.de
- enhancements in SuSEconfig.apache:
- include only existing files
- print warning in suse_*.conf files
* Fri Aug 31 2001 - poeml@suse.de
- fix link in README.SuSE [#9865]
* Mon Aug 27 2001 - poeml@suse.de
- add small patch that fixes the Content-Length header in the 416
  "range not satisfiable" response
* Fri Aug 24 2001 - poeml@suse.de
- use 'check_modules yes' in the reload section to set $MODULES
  correctly when testing httpd.conf syntax ([#8937], patch by
  <egmont@suselinux.hu>)
- delete stray line in spec file (cosmetical)
* Thu Aug 23 2001 - poeml@suse.de
- update to 1.3.20 (no new features or fixes relevant for Linux)
- update mod_ssl to 2.8.4-1.3.20
- add apache_1.3.20-find-dbm-lib.dif (the new TestCompile would
  pick wrong ndbm.h), and no longer link db1/db.h to ndbm.h
- use /var/lib instead of /var/state as localstatedir to conform
  with FHS 2.x [#8678] and change mod_ssl.dif accordingly. Also,
  mod_backhand uses /var/lib/backhand/ now.
- fix activation order of modules by putting the inclusion of
  suse_loadmodule.conf to the right place (after all LoadModule's)
- drop 3 obsolete hunks from apache_1.3.19.dif
- split httpd.conf-dist.dif from apache_1.3.19.dif
- add documentation about SuSEconfig mechanisms to httpd.conf and
  apache.rc.config
- SuSEconfig.apache:
- include mod_userdir from suse_public_html.conf, not from
  httpd.conf [#8502] so that HTTPD_SEC_PUBLIC_HTML="no" can
  effectively disable it
- include susehelp.conf 'the right way' (modules/* file)
- add handler for ServerAdmin directive, and
- allow including user configuration files via
  HTTPD_CONF_INCLUDE_FILES
  (less need for users to touch httpd.conf)
- delete SuSEconfig md5 sums in %%post (since those files are
  marked %%config, the sums are always wrong after an update)
- no need to set SSLEngine to off, because it's enclosed in
  <IfDefine SSL>
- include favicon.ico in docroot so cool browsers will display a
  fancy icon
- add module.{mod_ssl,mod_sxnet} and the mod_ssl fillup template as
  sources instead of creating them in the spec file
- add certificate.sh, mkcert.sh, robots.txt and README.SuSE.apache
  as separate files (extracting them from the diff)
- drop the (unused) IPv6 patch (it's useless for 1.3.20 and there's
  no current KAME patch avaliable at this time)
- spec file cleanups
* Thu Aug 16 2001 - ro@suse.de
- fixed changelog
* Thu May 17 2001 - poeml@suse.de
- fix a cast warning on 64 bit architectures (with the help of
  <schwab@suse.de>)
* Mon May 14 2001 - poeml@suse.de
- don't let susehelp modify suse_include.conf, let
  SuSEconfig.apache do it instead [#7387] (SuSEconfig.apache
  rewrites the file from scratch each time, thereby removing
  foreign entries)
* Tue May 08 2001 - rolf@suse.de
- include apachectl and its manpage again [BUG#7689]
- update to mod_ssl 2.8.3
* Fri Apr 27 2001 - poeml@suse.de
- disable IPv6 patch because it breaks mod_ssl and ab.c [#7154],
  [#7124], and potentially more
- add /etc/httpd/suse_public_html.conf for UserDirs (included when
  HTTPD_SEC_PUBLIC_HTML=yes in apache.rc.config)
- correct most of the broken links on index.html.*
- extract some files from the diff
* Tue Apr 24 2001 - poeml@suse.de
- add comment to apache.rc.config that the start timeout hast to be
  increased when passphrase protected certificates are used
- --enable-rule=INET6 also in mod_ssl
- configure with --without-confadjust to avoid filling in the
  buildhost's name in ServerName and ServerAdmin [BUG#7076]
- remove "HEADER*" and "README*" from the IndexIgnore directive,
  because when browsing /usr/share/doc/packages/* all README* are
  hidden otherwise
* Mon Apr 16 2001 - poeml@suse.de
- display correct Content-length for files > 2GB (see [BUG#6570])
  (still wrong when calculated, like in range retrieval requests,
  and in the logs)
- fix wrong ticks (causing broken SSIs) in index.html.en [BUG#6970]
- init script:
- extract it from the diff as rc.apache
- use try-restart as documented
- include $INET6 in syntax check before reloading httpd
- join reload/force-reload sections, now showing errors right
  away if not called from a runlevel dir
* Mon Apr 09 2001 - poeml@suse.de
- fix mail to root (ServerRoot still /usr/local/httpd)
- add Conflict: apache2
* Thu Apr 05 2001 - poeml@suse.de
- change ServerRoot back to /usr/local/httpd
- index.html.{de,en}: replace localhost by `hostname -f`
- fix detection of perl version by %% escaping query tag inside
  macro
- bzip2 sources
* Tue Apr 03 2001 - poeml@suse.de
- use BuildRoot
- mod_ssl subpackage:
  * fix Release tag (was always 0)
  * fix Requires tag (would always require release 0 of apache)
* Mon Apr 02 2001 - rolf@suse.de
- update to mod_ssl 2.8.2
* Thu Mar 29 2001 - rolf@suse.de
- update apache-1.3.19-v6-20010309a
- add tcl types for mod_dtcl
- beautify rcapache (strip blanks from string)
- fix bugs in SuSEconfig.apache regarding include files
- add apache.rc.config entries for mod_ssl
- apache-doc obsoletes old httpddoc
* Thu Mar 08 2001 - rolf@suse.de
- update to Apache 1.3.19
- update to mod_ssl 2.8.1
- apply IPv6 patches
- move document root to /var/www [BUG#3681]
- adjusted runlevels in which we start [BUG#6433]
- adopted init script to LSB [BUG#4505]
* Fri Feb 23 2001 - rolf@suse.de
- split subpackages apache-devel and apache-doc
- new schema for module configuration with SuSEconfig
- new index.html pages
- fix problem with ServerName in SuSEconfig.apache [BUG#6347]
* Mon Feb 05 2001 - rolf@suse.de
- update to Apache 1.3.17
- update to mod_ssl 2.8.0
- fix bug in rcapache which causes problems with php3
* Mon Jan 29 2001 - poeml@suse.de
- rcapache: if not called as $link and 'start' fails, show error log
* Fri Jan 19 2001 - rolf@suse.de
- again new index.html.[de|en] pages
* Tue Jan 16 2001 - rolf@suse.de
- finalized index.html.[de|en] pages
* Mon Jan 15 2001 - rolf@suse.de
- add missing \n in rcapache [BUG#5689]
* Wed Jan 10 2001 - rolf@suse.de
- fixed SuSEconfig.apache to #!/bin/bash [BUG#5104]
- dropped the frontpage patch completely from archive [BUG#4925]
- modified rcapache to meet requirements [BUG#4921]
- remove server-parsed for .html files which was plain stupid
- set index.html.* to +x so SSI works [BUG#5203]
- added missing SSL configuration to httpd.conf [BUG#5493][BUG#4391]
- applied mod_rewrite patch [BUG#5556]
* Tue Dec 12 2000 - rolf@suse.de
- -DDYNAMIC_MODULE_LIMIT=128 [BUG#4550,4648,4744]
- be more strict with server side includes [BUG#4350]
- change public_html config so it works [BUG#4496]
- include html documentation in mod_ssl package
- remove NoSource tag from spec-file and include mod_ssl sources in SPM
- set RPM group tag to "Networking/Daemons"
* Mon Dec 04 2000 - rolf@suse.de
- added suse_help_viewer to Provides [BUG#4460]
- new index.html pages (with Multiview for languages) [BUG#3806][BUG#4375]
- log suexec with --suexec-logfile=%%{logdir}/suexec.log
- include support tool log_server_status
- use $HTTPD_START_TIMEOUT in rcapache to wait for process start
- added mod_fastcgi_sap module to httpd.conf and rcapache
- disable rule WANTHSREGEX
- remove default ssl server certificates
- added mod_sxnet.so to mod_ssl package
* Mon Nov 27 2000 - rolf@suse.de
- move init script to /etc/init.d/apache
- use insserv for runlevel links and remove links from specfile
- add new modules to httpd.conf [BUG#4357]
- add mod_python to httpd.conf  [BUG#4384]
- substitute many IfDefine with IfModule so httpd.conf works with
  static modules as well
* Fri Nov 24 2000 - ro@suse.de
- neededforbuild += openssl-devel
* Tue Oct 24 2000 - rolf@suse.de
- update to Apache 1.3.14 and mod_ssl 2.7.1
- no IPv6 support in Apache 1.3.14
- added /etc/rc.config.d/apache.rc.config
- added SuSEconfig.apache to set ServerName to useful value [BUG #4261]
- enhance SuSEconfig.apache to set StartServers, Minspare and Maxspare
- dont install any CGIs into cgi-bin by default [s/390 request]
- remove some references to /var/log/ [BUG#4194]
- added sleep 1 to get correct file lists [BUG#4087]
- changed rcapache to detect wether httpd is IPv6 enabled
- switched to use db2 as db is no longer maintained
- removed /usr/lib/sdb/cgi-bin definition [BUG#4233]
- set Group: tag to "System Environment/Daemons"
- patch mod_rewrite.h and mod_auth_dbm.c to find ndbm.h with glibc 2.2
- modify rcapache to display loaded modules
- more documentation in README.SuSE
* Fri Oct 06 2000 - rolf@suse.de
- use --enable-rule=INET6 to really activate IPv6 support
- test wether config file runs with IPv6 as well using httpd -t -6
* Mon Oct 02 2000 - rolf@suse.de
- activated IPv6 support
- added some optimizations [BUG#3344]
- close sec-breach with ScriptAlias [BUG#3879]
- fix bug in rcapache script [BUG#3945]
- added patch for security issue in mod_rewrite
* Fri Sep 15 2000 - rolf@suse.de
- fixed problem with LoadModule statements patched by new mod_ssl
- convert Alias to ScriptAlias for /perl/ and /cgi-perl/
- include IPng patches (disabled) for future releases
* Tue Sep 12 2000 - rolf@suse.de
- changed signature of changes mail [BUG#3916] and [BUG#3339]
- cleaned up httpd.conf file and wrote some additional
  documentation into it [BUG#3879]
- update mod_ssl-2.6.6
* Tue Sep 05 2000 - daniele@suse.de
- Modified Requires for mod_ssl
- Turned off DAV for /usr/local/httpd/htdocs [BUG#3866]
- added -fPIC to the CFLAGS, to prevent problems on ppc
* Thu Jul 20 2000 - rolf@suse.de
- added midgard support
* Fri Jul 14 2000 - kukuk@suse.de
- Fix next broken error redirection [BUG#3429]
- Remove midgard and python support [BUG#3417]
- Fix signature of email [BUG#3339]
* Mon Jul 10 2000 - rolf@suse.de
- removed HEADER.html [BUG#3172]
- removed susehelp entries from httpd.conf [BUG#3172]
* Fri Jul 07 2000 - rolf@suse.de
- fixed typo in init script [BUG#3170]
* Thu Jul 06 2000 - ro@suse.de
- re-added apache to mod_ssl requiries
* Thu Jul 06 2000 - rolf@suse.de
- added (noreplace) to srm.conf access.conf [BUG#3170]
- added detection of static modules to rcapache [BUG#2979]
- added WAP mime types [BUG#2992]
- added config for /usr/share/doc [BUG#3172]
* Mon Jul 03 2000 - kukuk@suse.de
- Fix rcapache/reload (broken error redirection)
* Thu Jun 08 2000 - rolf@suse.de
- deativate SSI for other files than index.html [BUG#2896]
- forbid stress tests via robots.txt [BUG#2876]
- set runtime dir to /var/run [BUG#2908]
- fixed typo in index.html [BUG#2935]
- allow test.php3 from localhost only [BUG#2872]
- added several notes to README.SuSE [BUG#2713]
- reduced the startproc timeout to a few seconds (faster startup)
* Fri Jun 02 2000 - kukuk@suse.de
- Change /usr/doc -> /usr/share/doc in config files
* Fri May 12 2000 - rolf@suse.de
- update mod_ssl to 2.6.4
- check config file before reloading and start [BUG#2848]
- add Zope configuration directives [BUG#2856]
- add pyapache configuration directives
* Fri Apr 28 2000 - bubnikv@suse.cz
- added include of midgard configuration to /etc/httpd/httpd.conf
- modified /etc/rc.d/apache for midgard (-DMIDGARD)
* Thu Apr 13 2000 - rolf@suse.de
- link libmm.so only to httpd binary
* Wed Apr 12 2000 - rolf@suse.de
- changed schema for mod_perl cgis (cgi-perl, perl) [BUG#2548]
- check for lynx in rcapache [BUG#2519]
- added (noreplace) to httpd.conf [BUG#2664]
- return useful value on rcapache status [BUG#2699]
- use mm for mod_ssl EAPI to avaoid logrotate problem [BUG#2701]
- use /var/state/httpd/ for mm files
- added auth_ldap, mod_pyapache to config file
* Fri Mar 17 2000 - rolf@suse.de
- some changes for mod_backhand
* Wed Mar 08 2000 - kukuk@suse.de
- Update entry page
* Wed Mar 08 2000 - freitag@suse.de
- disabled the mod_allowdev Module due to break of http://localhost
  on some systems
- Added Alias /howto/       /usr/doc/howto/
- Added SSI to /usr/doc
- Changed htdig Alias
- changed filelist in spec-File: %%config(noreplace) added to the
  sll directories in %%{_sysconfigdir} due to problems with deleted
  key files reported by betatesters.
* Fri Mar 03 2000 - rolf@suse.de
- new mod_ssl version 2.6.2
* Wed Mar 01 2000 - rolf@suse.de
- new mod_ssl version 2.6.1
* Mon Feb 28 2000 - rolf@suse.de
- new apache version 1.3.12
- new mod_ssl version 2.6.0
- added LoadModule lines for contrib modules
* Wed Feb 23 2000 - rolf@suse.de
- fixed mod_perl include path
* Tue Feb 22 2000 - rolf@suse.de
- moved includes to /usr/include/apache (FHS)
* Thu Feb 10 2000 - rolf@suse.de
- added a few aliases to make susehilf work
* Thu Feb 10 2000 - rolf@suse.de
- fixed bug with jserv inclusion
- enabled FOllowSymlinks for /usr/doc tree to make help-system work
- change permissions for htdocs/icons/small [BUG#1936]
- added passwd and group files in config [BUG#1811]
* Tue Feb 08 2000 - rolf@suse.de
- new version 1.3.11
- new mod_ssl 2.5.0
- logfiles moved to /var/log/httpd/
- moved manpages to %%{_mandir}
* Wed Dec 01 1999 - rolf@suse.de
- made separate packages for mod_php, mod_perl and mod_dav
- index.html and robots.txt are now part of the package
- added htdig to index.html
- added JSERV to httpd.conf
- added perl-status to httpd.conf
* Thu Nov 11 1999 - rolf@suse.de
- new mod_dav 0.9.12
- set minuid und minguid for susexec to 96, this is required by
  the cyrus imap server
* Wed Nov 03 1999 - rolf@suse.de
- mod_ssl 2.4.7
- gifs in SDB will now be displayed (bug#1004)
- new "powered by SuSE" button
* Sun Oct 31 1999 - rolf@suse.de
- added "-t 7" to startproc in order to catch a failed startup (bug#733)
- mod_ssl 2.4.6
* Fri Oct 15 1999 - rolf@suse.de
- added PDFlib and FreeType support to PHP
- patched PHP3 to support GDlib 1.7
- new index.html from Michael Hasenstein
* Tue Sep 28 1999 - rolf@suse.de
- new mod_dav 0.9.11
- added os-inline.c to includes
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 27 1999 - rolf@suse.de
- added mod_perl header files (bug #497)
* Mon Sep 27 1999 - rolf@suse.de
- modified robots.txt (bug #388)
- moved apache manual to /usr/doc/packages (bug #438)
- altered startserver, maxspareservers and minspareservers to have
  a much smaller footprint on end user systems
- removed followsymlinks to meet security reqs
* Mon Sep 20 1999 - ro@suse.de
- added Provides http_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - rolf@suse.de
- mod_ssl 2.4.2
- enabled YP and XML for PHP3
* Mon Aug 30 1999 - rolf@suse.de
- new Apache version 1.3.9
- mod_ssl 2.4.0
- PHP 3.0.12 + new manual
- mod_perl 1.21
- included mod_dav
- fixed manpages in wrong subpackage
- stop httpd properly before restarting
- fixed robots page to new locations
- added httpd -t to check for proper config file and working binary
* Wed Jul 14 1999 - ro@suse.de
- fixed to reflect new location of libmysqlclient in /usr/lib
* Wed Jul 07 1999 - rolf@suse.de
- modified init-script and httpd.conf to enable module packages to be
  uninstalled more easily.
* Tue Jun 29 1999 - rolf@suse.de
- PHP 3.0.11 with LDAP and Postgres support
- mod_ssl 2.3.5
* Mon Jun 14 1999 - rolf@suse.de
- don't package mod_ssl sources for US export law
- fix permissions for certificate.sh in mod_ssl
* Fri Jun 11 1999 - rolf@suse.de
- merged apassl and apache again
- new resulting subpackages:
  mod_ssl		SSL support
  mod_perl	perl support
  mod_php		PHP support
- new PHP 3.0.9
- new php3 manual
- mod_ssl 2.3.3
* Mon May 31 1999 - rolf@suse.de
- added imap4 support to php3
- new mod_ssl-2.3.1 (apassl only)
- added URL and Icon tag to spec file
* Thu May 27 1999 - rolf@suse.de
- use vendor ODBC library for ADABAS D
* Tue May 25 1999 - rolf@suse.de
- PHP 3.0.8
- remove adabas.rpm on i386 systems only
* Fri May 07 1999 - rolf@suse.de
- new php3 manual
- added /etc/httpd/php3.ini-dist
- use /usr/local/apache/bin for php-safe-mode binaries
* Thu Apr 29 1999 - rolf@suse.de
- use libgdbm for mod_ssl instead of libndbm
* Mon Apr 19 1999 - rolf@suse.de
- new version 1.3.6
- mod_perl 1.19
- mod_ssl-2.2.8 (apassl only)
- php3 now linked with libgd
- init links are not %%config(missingok) any more
* Wed Apr 07 1999 - ro@suse.de
- use static version of libmysqlclient
* Tue Apr 06 1999 - ro@suse.de
- changed neededforbuild -mysql +mysqldev
* Tue Mar 30 1999 - ro@suse.de
- remove shared adabas-libs before build
* Mon Mar 22 1999 - ro@suse.de
- fixed configuration for SDB-search
* Mon Mar 22 1999 - uli@suse.de
- adapted configuration to new SDB structure
* Fri Mar 12 1999 - rolf@suse.de
- PHP 3.0.7
- still no usable Apache::File (vanished from CPAN)
* Tue Feb 23 1999 - rolf@suse.de
- mod_perl 1.18
- mod_ssl-2.2.3 (apassl only)
- added %%ghost to several files
- modified umask for icons directory
- php3 has now libz and sysv shmem support
- more documentation
* Thu Feb 11 1999 - rolf@suse.de
- mod_ssl-2.2.2 (apassl only)
- modifications for AXP port
* Thu Jan 14 1999 - rolf@suse.de
- added "-D SSL" to init script
* Wed Jan 13 1999 - rolf@suse.de
- new version 1.3.4
- mod_perl 1.17
- php3 3.0.6
- added /usr/sbin/suexec
- renamed /usr/libexec/apache to /usr/lib/apache
* Fri Dec 11 1998 - rolf@suse.de
- new logos
* Wed Dec 09 1998 - rolf@suse.de
- added /usr/sbin/rcapache
- use old ADABAS D odbc libs to avoid scrambled long reads
* Thu Nov 26 1998 - rolf@suse.de
- test.php3 added
- new index.html which mentions modperl and php3
* Mon Nov 23 1998 - rolf@suse.de
- link libmysqlclient statically
- fixes init script
* Tue Nov 17 1998 - ro@suse.de
- modified file-list for perl 5.005_02
* Thu Nov 12 1998 - rolf@suse.de
- new version 1.3.3
- mod_perl-1.15_01
- php-3.0.5 for both ADABAS D and mySQL
* Thu Oct 08 1998 - ro@suse.de
- no adabas for glibc -> --without-adabas for glibc
* Fri Oct 02 1998 - rolf@suse.de
- new version 1.3.2
- uses mod_perl and php3
- shared specfile with ApacheSSL
* Tue Aug 11 1998 - rolf@suse.de
- added DoS security fix from Ben Laurie
* Wed Jul 29 1998 - rolf@suse.de
- chaged exec group back to wwwrun
* Mon Jul 27 1998 - bs@suse.de
- fixed double and triple patches
* Mon Jul 20 1998 - maddin@suse.de
- fixed alias paths for sdb in srm.conf
* Mon Jul 20 1998 - bs@suse.de
- fixed /var/adm/fillup-templates/rc.config.apache
* Tue Jul 14 1998 - rolf@suse.de
- using SuSEconfig for perllocal.pod
* Fri Jul 03 1998 - rolf@suse.de
- some changes in mod_perl
* Fri Jun 26 1998 - rolf@suse.de
- document-root now belongs root:root
- fixed link for Apache.pm (perl bug?)
- egid is -2 now (nogroup)
* Mon Jun 22 1998 - rolf@suse.de
- added mod_perl support
* Mon Jun 15 1998 - rolf@suse.de
- Upgraded to version 1.3.0
- now using APACI for configuration
- suEXEC activated
- SSI activated
- removed symbolic links, using Alias instead
* Thu Mar 12 1998 - tmg@suse.de
- added symlink doc
* Mon Jan 26 1998 - bs@suse.de
- update to 1.2.5
- switched group to wwwadmin
* Tue Nov 18 1997 - bs@suse.de
- enable apache by default
* Fri Nov 14 1997 - max@suse.de
- now using "Buildroot: /tmp/BUILD_apache" to avoid destroying
  an existing apache installation
- fixed creating of example index.html in %%post
- changed /usr/local/httpd/htdocs/hilfe to a relative link
- fixed rc.config entry
* Thu Nov 13 1997 - max@suse.de
- merged two concurrent versions from max and bb
* Tue Nov 11 1997 - max@suse.de
- fixed symbolic links in /etc/init.d/rc?.d
* Tue Nov 11 1997 - ro@suse.de
- fixed postin script
* Fri Oct 31 1997 - bb@suse.de
- Recreated spec and dif file....
* Tue Sep 30 1997 - bb@suse.de
- update to version 1.2.4
- created rpm-package with spec file etc...
* Thu Jun 12 1997 - bb@suse.de
  * Version 1.2.0
  * added mail message concerning moved files
* Sun Jun 01 1997 - bs@suse.de
- moved etc/rc.config.apache to var/adm/fillup-templates/rc.config.susewm
- don't include log files in package but touch it in doinst.sh
* Tue May 27 1997 - bb@suse.de
- Version 1.2b10 zu Testzwecken und fuer Mutige
  Ansonsten alles beim Alten... :-)
* Mon May 26 1997 - bb@suse.de
- Auf Version 1.1.3 uebergegangen - Security Release!
- Pfade wieder geaendert. Die Konfiguration sieht jetzt folgender-
  massen aus:
  /etc/httpd			-> Konfigurationsdateien
  /var/log			-> Protokolldateien
  /var/run/httpd.pid		-> PID des Servers
  /usr/local/httpd		-> Server-Root
  /sbin/init.d/apache		-> Start/Stop-Skript
- Ausserdem ist die Serverdoku aus Apache 1.2 nun sofort nach Serverstart
  ueber die Beispielseite lokal zu ereichen. Ist zwar fuer 1.2 passt aber
  dennoch zu 1.1. Die Neuerungen sind als solche vermerkt.
* Thu Jan 02 1997 - bb@suse.de
- Fast alle Pfade geaendert. Apache lebt jetzt in /httpd. Das Binary liegt
  in /usr/sbin, Logfiles werden nach /var/log/httpd.* geschrieben, das
  Prozess-ID steht in /var/run/httpd.pid.
- Das Start-Skript wurde ebenfalls ueberarbeitet. Es gibt nun auch 'restart'.
  Zum Beenden des Servers wird der Prozess aus dem PID-File gekillt.
- Doku und Manpage wird nun auch installiert.
* Thu Jan 02 1997 - bs@suse.de
- fillup for rc.config added.
* Thu Jan 02 1997 - bs@suse.de
- update to version 1.1.1
